package com.climate.data.service;

import com.climate.data.domain.CliTqStation;

import java.util.List;

/**
 * @author 小p同学
 */

public interface CliTqStationService {

    /**
     * 新增，插入所有字段
     *
     * @param cliTqStation 新增的记录
     * @return 返回影响行数
     */
    int insertGeom(CliTqStation cliTqStation);

    /**
     * 批量插入
     * @param cliTqStations
     * @return
     * */
    int insertBatch(List<CliTqStation> cliTqStations);

    /**
     * 将贵州区域的区域站的所有站号信息写入数据库
     * */
    List<CliTqStation> listSta(String adminCodes);
}
