package com.climate.data.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class QueryUtils {
    private static final Logger log = LoggerFactory.getLogger(QueryUtils.class);

    public static QueryClient queryClient;

    public QueryUtils(QueryClient queryClient) {
        QueryUtils.queryClient = queryClient;
        //初始化接口服务连接资源
        try {
            queryClient.initResources();
        } catch (Exception e) {
            log.error("天擎初始化接口服务连接资源失败！");
        }

    }
}
