package com.climate.web.controller.data;

import com.climate.common.core.domain.AjaxResult;
import com.climate.data.domain.CliTqStation;
import com.climate.data.domain.vo.TqParm;
import com.climate.data.service.CliTqStationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author 站点信息
 */
@RestController
@RequestMapping("/cliTqStation")
public class CliTqStationController {

    @Autowired
    private CliTqStationService cliTqStationService;


    @PostMapping("/listSta")
    @ResponseBody
    public AjaxResult listStation(@RequestBody TqParm tqParm){
        List<CliTqStation> tqStations = cliTqStationService.listSta(tqParm.getAdminCodes());
        return AjaxResult.success();
    }
}
