package com.climate.data.domain;


import lombok.Data;

/**
 * 天擎站点信息表
 */
@Data
public class CliTqStation {
	/** 主键id */
	private Long id;
	/** 站号 */
	private String stationId;
	/** 站名 */
	private String stationName;
	/** 省名 */
	private String province;
	/** 地市名 */
	private String city;
	/** 区县名 */
	private String cnty;
	/** 行政编码 */
	private String adminCode;
	/** 站的类型（0是国家站，1是区域站） */
	private Integer type;
}
