package com.climate.data.utils;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
@Data
public class TqConfig {
    /**
     * 调取天擎接口的用户名
     * */
    @Value("${tq.name}")
    private String username;
    /**
     * 调取天擎接口的密码
     * */
    @Value("${tq.password}")
    private String password;
    /**
     * sdk配置文件的路径
     * */
    @Value("${tq.clientpath}")
    private String path;


}
